Loading...
Searching...
No Matches
ForeachFilterOp< OpT > Struct Template Reference

`#include <openvdb/tree/NodeManager.h>`

## Public Member Functions

| ForeachFilterOp (const OpT &op, openvdb::Index64 size)
| ForeachFilterOp (const ForeachFilterOp &other)
template<typename NodeT>
void | operator() (NodeT &node, size_t idx) const
bool | valid (size_t idx) const
const OpT & | op () const

## Constructor & Destructor Documentation

## ForeachFilterOp() [1/2]

template<typename OpT>

ForeachFilterOp | ( | const OpT & | op,
|  | openvdb::Index64 | size )

inline explicit

## ForeachFilterOp() [2/2]

template<typename OpT>

ForeachFilterOp | ( | const ForeachFilterOp< OpT > & | other | ) |

inline

## Member Function Documentation

## op()

template<typename OpT>

const OpT & op | ( |  | ) | const

inline

## operator()()

template<typename OpT>
template<typename NodeT>

void operator() | ( | NodeT & | node,
|  | size_t | idx ) const

inline

## valid()

template<typename OpT>

bool valid | ( | size_t | idx | ) | const

inline